drop table I_IMPFORMAT_ROW;
CREATE TABLE I_IMPFORMAT_ROW ( 
	I_IMPFORMAT_ROW_ID				NUMBER(10)		NOT NULL,
	AD_IMPFORMAT_ID					NUMBER(10),
	AD_CLIENT_ID					NUMBER(10)		NOT NULL,
	AD_ORG_ID						NUMBER(10)		NOT NULL,
	ISACTIVE						CHAR(1)			DEFAULT 'Y' 		NOT NULL,
	CREATED							DATE			DEFAULT SYSDATE 		NOT NULL,
	CREATEDBY						NUMBER(10)		NOT NULL,
	UPDATED							DATE			DEFAULT SYSDATE 		NOT NULL,
	UPDATEDBY						NUMBER(10)		NOT NULL,
	I_ISIMPORTED					CHAR(1)			DEFAULT 'N' 		NOT NULL,
	I_ERRORMSG						NVARCHAR2(200),
	PROCESSED						CHAR(1)			DEFAULT 'N',
	IMPFORMATNAME					NVARCHAR2(120),
	DESCRIPTION						NVARCHAR2(200),
	TABLENAME						NVARCHAR2(120),
	AD_TABLE_ID						NUMBER(10),
	FORMATTYPE						CHAR(1),
	AD_IMPFORMAT_ROW_ID				NUMBER(10),
	SEQNO							NUMBER(10),
	ROWNAME							NVARCHAR2(120),
	COLUMNNAME						NVARCHAR2(120),
	AD_COLUMN_ID					NUMBER(10),
	STARTNO							NUMBER(10),
	ENDNO							NUMBER(10),
	DATATYPE						CHAR(1),
	DATAFORMAT						NVARCHAR2(40),
	DECIMALPOINT					CHAR(1),
	DIVIDEBY100						CHAR(1),
	CONSTANTVALUE					NVARCHAR2(120),
	CALLOUT							NVARCHAR2(120),
	SCRIPT							NVARCHAR2(200),
	PROCESSING						NVARCHAR2(10), 
	CONSTRAINT I_IMPFORMAT_ROW_KEY PRIMARY KEY(I_IMPFORMAT_ROW_ID)
) 
/
